## org.apache.fop.dom.svg
Class SVGPathSegImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGPathSegImpl

public class SVGPathSegImpl
extends java.lang.Object
implements org.w3c.dom.svg.SVGPathSeg

Fields inherited from interface org.w3c.dom.svg.SVGPathSeg

`PATHSEG_ARC_ABS, PATHSEG_ARC_REL, PATHSEG_CLOSEPATH, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_CURVETO_CUBIC_REL, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS, PATHSEG_CURVETO_CUBIC_SMOOTH_REL, PATHSEG_CURVETO_QUADRATIC_ABS, PATHSEG_CURVETO_QUADRATIC_REL, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL, PATHSEG_LINETO_ABS, PATHSEG_LINETO_HORIZONTAL_ABS, PATHSEG_LINETO_HORIZONTAL_REL, PATHSEG_LINETO_REL, PATHSEG_LINETO_VERTICAL_ABS, PATHSEG_LINETO_VERTICAL_REL, PATHSEG_MOVETO_ABS, PATHSEG_MOVETO_REL, PATHSEG_UNKNOWN`

Constructor Summary
`SVGPathSegImpl(short type, float[] vals)`

Method Summary
`short` `getPathSegType()`
`java.lang.String` `getPathSegTypeAsLetter()`
`float[]` `getValues()`
`void` `setPathSegType(short pathSegType)`
`void` `setPathSegTypeAsLetter(java.lang.String pathSegTypeAsLetter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGPathSegImpl

    public SVGPathSegImpl(short type,
                          float[] vals)

Method Detail

### getValues

    public float[] getValues()

### getPathSegType

    public short getPathSegType()

  Specified by:
    getPathSegType in interface org.w3c.dom.svg.SVGPathSeg

### setPathSegType

    public void setPathSegType(short pathSegType)

### getPathSegTypeAsLetter

    public java.lang.String getPathSegTypeAsLetter()

  Specified by:
    getPathSegTypeAsLetter in interface org.w3c.dom.svg.SVGPathSeg

### setPathSegTypeAsLetter

    public void setPathSegTypeAsLetter(java.lang.String pathSegTypeAsLetter)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.